%define version    0.95.1

Summary: A graphical front-end to RPM for GNOME.
Name: gnorpm
Version: %version
Release: 1mdk
Copyright: GPL
Group: System/Configuration/Packaging
Source: ftp://pub/GNOME/stable/sources/gnorpm/gnorpm-%{version}.tar.bz2
Source1: gnorpm.pamd.bz2
Source2: gnorpm.apps.bz2
Source3: gnorpm-icons16.xpm.bz2
Source4: gnorpm-icons32.xpm.bz2
Source5: gnorpm-icons48.xpm.bz2
Source6: gnorpm-ko.po.bz2
Patch0: gnorpm-0.95-mdk-config.patch.bz2
#Patch1: gnorpm-0.9-rpm3x.patch.bz2
# merged Patch2: gnorpm-0.9-libbz2.patch.bz2
Patch3: gnorpm-0.9-uid.patch.bz2
# merged Patch4: gnorpm-0.9-extralocs.patch.bz2
Patch5: gnorpm-0.95-newkeys.patch.bz2
Patch6: gnorpm-0.9-rpm304.patch.bz2
# merged Patch7: gnorpm-0.9-owen.patch.bz2
Patch8: gnorpm-0.95-desktop.patch.bz2
# merged Patch9: gnorpm-0.9-installcrash.patch.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: glint
Requires: usermode >= 1.13
Requires: popt

# XXX Please add version requirements to the build prereqs if you know them ...
BuildRequires: rpm-devel XFree86-devel gnome-libs-devel audiofile-devel bzip2 esound-devel imlib-devel libghttp-devel popt-devel libxml-devel zlib-devel
BuildRequires: zlib-devel >= 1.0.4
BuildRequires: bzip2 >= 0.9.5c
BuildRequires: libxml-devel
BuildRequires: gtk+-devel
BuildRequires: gnome-libs-devel
BuildRequires: glib-devel
BuildRequires: libghttp-devel
BuildRequires: imlib-devel
BuildRequires: esound-devel
BuildRequires: audiofile-devel
BuildRequires: XFree86-libs
BuildRequires: popt-devel

%description
Gnome-RPM is a graphical front-end to to the RPM Package Manager
(RPM). Gnome-RPM is similar to Glint, but is written using the GTK+
widget set and the GNOME libraries.  Gnome-RPM is currently in
development, so some features are missing, but you can currently
query, install, upgrade, uninstall and verify packages using a GUI
interface.

%prep
%setup -q
%patch0 -p 1 -b .mdkconfig
#%patch1 -p 1 -b .rpm3x
#%patch2 -p 1 -b .libbz2
%patch3 -p 1 -b .uid
#%patch4 -p 1 -b .extralocs
%patch5 -p 1 -b .newkeys
#%patch6 -p 1 -b .rpm304 don't apply...
#%patch7 -p 1 -b .owen
%patch8 -p 1 -b .dsktp
#%patch9 -p 1 -b .installcrash

#new version of korean po since provided one is broken
bzcat %{SOURCE6} > po/ko.po
%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

ln -sf consolehelper ${RPM_BUILD_ROOT}%{_bindir}/gnorpm-auth
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,security/console.apps}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/gnorpm-auth
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/gnorpm-auth
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/gnorpm-auth" \
	icon="gnorpm.xpm" \
    needs="x11" \
	section="Configuration/Packaging" \
	title="GnoRPM" \
	longtitle="A graphical front-end to RPM for GNOME"
EOF

%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root) 
%{_bindir}/gnorpm
%{_bindir}/gnorpm-auth
%{_menudir}/gnorpm
%{_iconsdir}/%{name}*
%{_liconsdir}/%{name}*
%{_miconsdir}/%{name}*
%{_datadir}/gnome/help/gnorpm/C/*
%config(noreplace) %{_datadir}/gnorpmrc
%config(noreplace) %{_datadir}/gnorpmrc.*
%config(noreplace) %{_datadir}/mime-info/gnorpm.keys
%config(noreplace) %{_sysconfdir}/pam.d/gnorpm-auth
%config(noreplace) %{_sysconfdir}/security/console.apps/gnorpm-auth
#%{_datadir}/pixmaps/defpackage.gif
%doc AUTHORS NEWS README

%changelog
* Mon Oct  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.95.1-1mdk
- 0.95.1 from acox, security fix.

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.95-2mdk
- Pamstackizification.

* Thu Sep 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.95-1mdk
- Release 0.95
- updated ko.po file from CVS
- Rebuild some patches, removed others which has been merged

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-3mdk
- Use find_lang macro
- use noreplace for config files
- add icons for menu

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9-2mdk
- automatically added BuildRequires

* Thu Jul 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- first Mandrake package
- BM + macroszification

* Mon Mar 06 2000 Owen Taylor <otaylor@redhat.com>
- Fix bug causing install dialog to crash when no packages available

* Fri Feb 04 2000 Jonathan Blandford <jrb@redhat.com>
- Make gnorpm-auth -Uvh be the default action for dbl-click

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Fri Jan 21 2000 Jeff Johnson <jbj@redhat.com>
- use gnorpm-auth in desktop config.

* Wed Dec 15 1999 Jeff Johnson <jbj@redhat.com>
- Patch for rpm-3.0.4 compatibility (preliminary).
- Patch to fix missing return seg-fault (Owen Taylor).

* Thu Sep 30 1999 Jonathan Blandford <jrb@redhat.com>
- Add gnorpm-auth to the .keys file for gmc.

* Sat Sep 25 1999 Jeff Johnson <jbj@redhat.com>
- recompile with rpm-3.0.3-1.

* Mon Sep 20 1999 Michael K. Johnson <johnsonm@redhat.com>
- added requirement for latest usermode

* Mon Sep 20 1999 Owen Taylor <otaylor@redhat.com>
- Added extra cdrom directories for powertools to directory list

* Thu Sep 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- added uid patch so that it works right when run via consolehelper

* Wed Sep 08 1999 Michael K. Johnson <johnsonm@redhat.com>
- gnorpm-auth consolehelper setup
- add -lbz2 to LDFLAGS.

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- version 0.9

* Fri Apr 16 1999 Matt Wilson <msw@redhat.com>
- fixed upgrade brokenness

* Thu Apr 15 1999 Michael Fulbright <drmike@redhat.com>
- added missing gnorpm.keys file to file list

* Mon Apr 12 1999 Matt Wilson <msw@redhat.com>
- updated to 0.8

* Fri Mar 12 1999 Matt Wilson <msw@redhat.com>
- patched to work with rpm-3.0
- GnoRPM obsoletes glint.
